Subject: Re: linux-next: manual merge of the arm-lpae tree with the arm tree

From: Catalin Marinas <[email-masked]>
Date: Fri, 9 Dec 2011 10:36:52 +0000

Hi Stephen,

On Thu, Dec 08, 2011 at 12:00:59AM +0000, Stephen Rothwell wrote:
> Today's linux-next merge of the arm-lpae tree got a conflict in
> arch/arm/mm/idmap.c between commits 8903826d0cd9 ("ARM: idmap: populate
> identity map pgd at init time using .init.text") and 4e8ee7de227e ("ARM:
> SMP: use idmap_pgd for mapping MMU enable during secondary booting") from
> the arm tree and commit 1932aa1edc86 ("ARM: LPAE: Add identity mapping
> support for the 3-level page table format") from the arm-lpae tree.
> 
> I tried to fix it up (see below) and can carry the fix as necessary.

The fix looks correct but Russell merged the LPAE patches into his tree
last night and sorted out the conflicts, so you can now drop my for-next
branch from -next (I'll still keep the kmemleak one).

Thanks.

-- 
Catalin